Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.beanvalidator
Class BeanValidatorModule

    java.lang.Object
      org.apache.tapestry5.beanvalidator.BeanValidatorModule

    public class BeanValidatorModule

extends java.lang.Object

Module for JSR-303 services.

Since:
  5.2.0.0

Constructor Summary
`BeanValidatorModule()`

Method Summary
`static void` | `addBeanValidationStack(MappedConfiguration<java.lang.String,JavaScriptStack> configuration)`
`static void` | `addWorker(OrderedConfiguration<ComponentClassTransformWorker2> configuration)`
`static void` | `bind(ServiceBinder binder)`
`static javax.validation.Validator` | `buildBeanValidator(javax.validation.ValidatorFactory validatorFactory, PropertyShadowBuilder propertyShadowBuilder)`
`static javax.validation.ValidatorFactory` | `buildValidatorFactory(BeanValidatorSource beanValidatorSource, PropertyShadowBuilder propertyShadowBuilder)`
`static void` | `contributeBeanValidatorGroupSource(Configuration<java.lang.Class> configuration)`
`static void` | `contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration, ThreadLocale threadLocale)`
`static void` | `contributeClientConstraintDescriptorSource(Configuration<ClientConstraintDescriptor> configuration)`
`static void` | `contributeServiceOverride(MappedConfiguration<java.lang.Class,java.lang.Object> configuration, FieldValidatorDefaultSource source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValidatorModule

    public BeanValidatorModule()

Method Detail

### bind

    public static void bind(ServiceBinder binder)

### contributeServiceOverride

    public static void contributeServiceOverride(MappedConfiguration<java.lang.Class,java.lang.Object> configuration,
                                                 @Local
                                                 FieldValidatorDefaultSource source)

### buildBeanValidator

    public static javax.validation.Validator buildBeanValidator(javax.validation.ValidatorFactory validatorFactory,
                                                                PropertyShadowBuilder propertyShadowBuilder)

### buildValidatorFactory

    public static javax.validation.ValidatorFactory buildValidatorFactory(BeanValidatorSource beanValidatorSource,
                                                                          PropertyShadowBuilder propertyShadowBuilder)

### contributeBeanValidatorGroupSource

    public static void contributeBeanValidatorGroupSource(Configuration<java.lang.Class> configuration)

### contributeBeanValidatorSource

    public static void contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration,
                                                     ThreadLocale threadLocale)

### contributeClientConstraintDescriptorSource

    public static void contributeClientConstraintDescriptorSource(Configuration<ClientConstraintDescriptor> configuration)

### addBeanValidationStack

    @Contribute(value=JavaScriptStackSource.class)
    public static void addBeanValidationStack(MappedConfiguration<java.lang.String,JavaScriptStack> configuration)

### addWorker

    @Contribute(value=ComponentClassTransformWorker2.class)
    @Primary
    public static void addWorker(OrderedConfiguration<ComponentClassTransformWorker2> configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.